Opened 9 months ago

Closed 9 months ago

#62233 closed defect (fixed)

logisim-evolution: remove openjdk10 fallback dependency

Reported by: chrstphrchvz (Christopher Chavez) Owned by: harens (Haren S)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: logisim-evolution

Description (last modified by chrstphrchvz (Christopher Chavez))

The logisim-evolution port was recently added ([68109b2a47/macports-ports]) with java.fallback set to openjdk10. Public updates for OpenJDK 10 already ended 2018-09, and the openjdk10 port is obsolete. Please set java.fallback to a supported Java version instead, preferably an LTS version—either openjdk8 or openjdk11.

(I personally do not use this port.)

Change History (4)

comment:1 Changed 9 months ago by chrstphrchvz (Christopher Chavez)

Description: modified (diff)

To correct myself: openjdk10 is obsolete ([57e98daf2d/macports-ports]—I proposed obsoleting it several months ago when it had no dependents, but it was not merged until several days after logisim-evolution was added).

comment:2 Changed 9 months ago by harens (Haren S)

Thanks for opening this ticket.

Since this requires at least openjdk9, I'll go with openjdk 11. I'll also correct the java.version.

It might also be useful to remove openjdk from the examplejava.fallbackin the Java PortGroup just in case other people use it.

comment:3 in reply to:  2 Changed 9 months ago by chrstphrchvz (Christopher Chavez)

Replying to harens:

It might also be useful to remove openjdk from the examplejava.fallbackin the Java PortGroup just in case other people use it.

I proposed updating it a few months ago: https://github.com/macports/macports-guide/pull/40

comment:4 Changed 9 months ago by harens (Haren S)

Resolution: fixed
Status: assignedclosed

In 908f43e07c3a67d34ce05f70d3f1f8bcc91d034f/macports-ports (master):

logisim-evolution: update fallback dependency

Closes: #62233

Note: See TracTickets for help on using tickets.